<span class="inline-flex items-center rounded-md {{ $colorClasses['bg'] }} px-1.5 py-0.5 text-xs font-medium {{ $colorClasses['text'] }}"
      @if($attributes['type'])
      x-init="Echo.channel(`{{$attributes['type']}}-@js($id)`).listen('Project{{ucfirst($attributes['type'])}}Status', (e) => {
                                                console.log(e.project{{ucfirst($attributes['type'])}}.status);
                                                $wire.dispatch('Badge:refresh');
                                            });"
      x-destroy="Echo.leaveChannel(`{{$attributes['type']}}-@js($id)`);"
      @endif
>
    {{ $status }}
</span>
